Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2.source
Class JvmMetricsSource

    java.lang.Object
      org.apache.hadoop.metrics2.source.JvmMetricsSource

All Implemented Interfaces:
  MetricsSource

    public class JvmMetricsSource

extends Object
implements MetricsSource

Method Summary
`static JvmMetricsSource` | `create(String processName, String sessionId)`
`static JvmMetricsSource` | `create(String processName, String sessionId, MetricsSystem ms)`
`void` | `getMetrics(MetricsBuilder builder, boolean all)` Get metrics from the source

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static JvmMetricsSource create(String processName,
                                          String sessionId,
                                          MetricsSystem ms)

### create

    public static JvmMetricsSource create(String processName,
                                          String sessionId)

### getMetrics

    public void getMetrics(MetricsBuilder builder,
                           boolean all)

  Description copied from interface: `MetricsSource`
  Get metrics from the source

  Specified by:
    `getMetrics` in interface `MetricsSource`
  Parameters:
    `builder` - to contain the resulting metrics snapshot
    `all` - if true, return all metrics even if unchanged.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation